## vtkplotter 2020.0.2+dfsg1

=== requirements.txt ===
vtk

=== debian/changelog ===
vtkplotter (2020.0.2+dfsg1-1) unstable; urgency=medium

  * New upstream release.
  * Standards-Version: 4.5.0

 -- Drew Parsons <dparsons@debian.org>  Wed, 22 Jan 2020 12:00:41 +0800

vtkplotter (2020.0.1+dfsg1-1) unstable; urgency=medium

  * New upstream release.
    - no longer provides examples: drop python3-vtkplotter-examples
    - vtkconvert is now provided as vtkplotter-convert

 -- Drew Parsons <dparsons@debian.org>  Fri, 10 Jan 2020 13:29:44 +0800

vtkplotter (2019.4.10+dfsg1-1) unstable; urgency=medium

  * debian/copyright: exclude font files from upstream tarball.
    Most are non-free (prohibited to use on commercial projects).
  * don't move icons dir to /usr/share (icons no longer installed)
  * acknowledge vtkplotter and vtkconvert executables in description

 -- Drew Parsons <dparsons@debian.org>  Sat, 23 Nov 2019 16:27:59 +0800

vtkplotter (2019.4.10-1) unstable; urgency=medium

  * fix package name in debian/watch
  * New upstream release.
  * mark python3-vtkplotter-examples as Multi-Arch: foreign
  * set limb_ugrid.vtk non-executable

 -- Drew Parsons <dparsons@debian.org>  Sat, 23 Nov 2019 15:01:14 +0800

vtkplotter (2019.1.2-3) unstable; urgency=medium

  * Standards-Version: 4.4.1

 -- Drew Parsons <dparsons@debian.org>  Mon, 18 Nov 2019 10:35:36 +0800

vtkplotter (2019.1.2-2) unstable; urgency=medium

  * add entries to debian/copyright:
    - main code is released under an MIT licence
    - examples/other/self_org_maps[23]d.py: BSD-2-clause
    - vtkplotter/dolfin.py: LGPL-3+
  * Build-Depends: python3 not python3-all. Build against python3.7
    only until python3-vtk has transitioned for python3.8.

 -- Drew Parsons <dparsons@debian.org>  Sun, 17 Nov 2019 22:55:15 +0800

vtkplotter (2019.1.2-1) unstable; urgency=medium

  * Initial release (Closes: #926192).

 -- Drew Parsons <dparsons@debian.org>  Wed, 03 Apr 2019 00:22:49 +0800

## vtkplotter 2020.2.0+dfsg1

=== debian/changelog ===
vtkplotter (2020.2.0+dfsg1-1) unstable; urgency=medium

  * New upstream release.
  * add debian/tests to run common tests with autopkgtest

 -- Drew Parsons <dparsons@debian.org>  Fri, 14 Feb 2020 11:44:59 +0800

=== debian/control ===
Source: vtkplotter
Section: python
Priority: optional
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Drew Parsons <dparsons@debian.org>
Build-Depends: debhelper-compat (= 12),
 dh-python,
 python3,
 python3-setuptools,
 python3-vtk7,
 python3-numpy
Standards-Version: 4.5.0
Homepage: https://vtkplotter.embl.es/
Vcs-Browser: https://salsa.debian.org/science-team/vtkplotter
Vcs-Git: https://salsa.debian.org/science-team/vtkplotter.git

Package: python3-vtkplotter
Architecture: all
Depends: python3-vtk7,
 python3-numpy,
 ${python3:Depends}, ${misc:Depends}
Suggests: python3-vtkplotter-examples
Description: python module for 3D scientific visualization with VTK
 A python module for scientific visualization, analysis and animation
 of 3D objects and point clouds based on VTK and numpy.
 .
 Intuitive and straightforward API which can be combined with VTK
 seamlessly in a program, whilst maintaining access to the full range
 of VTK native classes.
 .
 It includes a large set of working examples for the all following
 functionalities:
 .
   *   Import meshes from VTK format, STL, Wavefront OBJ, 3DS, XML,
       Neutral, GMSH, OFF, PCD (PointCloud), volumetric TIFF stacks, SLC,
       MHD, 2D images PNG, JPEG.
   *   Export meshes as ASCII or binary to VTK, STL, OBJ, PLY formats.
   *   Mesh analysis through the built-in methods of VTK package.
       Additional analysis tools like Moving Least Squares, mesh
       morphing.
   *   Tools to visualize and edit meshes (cutting a mesh with another
       mesh, slicing, normalizing, moving vertex positions, etc..).
       Interactive cutter widget.
   *   Split mesh based on surface connectivity. Extract the largest
       connected area.
   *   Calculate mass properties, like area, volume, center of mass,
       average size etc.
   *   Calculate vertex and face normals, curvatures, feature edges.
       Fill mesh holes.
   *   Subdivide faces of a mesh, increasing the number of vertex
       points. Mesh simplification.
   *   Coloring and thresholding of meshes based on associated scalar
       or vectorial data.
   *   Point-surface operations: find nearest points, determine if a
       point lies inside or outside a mesh.
   *   Create primitive objects like: spheres, arrows, cubes, torus,
       ellipsoids...
   *   Generate glyphs (associating a mesh to each vertex of a source
       mesh).
   *   Create animations easily by just defining the position of the
       displayed objects in the 3D scene. Add trailing lines to moving
       objects automatically.
   *   Straightforward support for multiple sync-ed or independent
       renderers in the same window.
   *   Registration (alignment) of meshes with different techniques.
   *   Mesh smoothing with Laplacian and WindowedSinc algorithms.
   *   Delaunay triangulation in 2D and 3D.
   *   Generate meshes by joining nearby lines in space.
   *   Find the closest path from one point to another, travelling
       along the edges of a mesh.
   *   Find the intersection of a mesh with a line (or with another
       mesh).
   *   Analysis of Point Clouds:
       -  Moving Least Squares smoothing of 2D, 3D and 4D clouds
       -  Fit lines, planes and spheres in space
       -  Perform PCA (Principal Component Analysis) on point
          coordinates
       -  Identify outliers in a distribution of points
       -  Decimate a cloud to a uniform distribution.
   *   Basic histogramming and function plotting in 1D and 2D.
   *   Interpolate scalar and vectorial fields with Radial Basis
       Functions and Thin Plate Splines.
   *   Analysis of volumetric datasets:
       -  Isosurfacing of volumes
       -  Direct maximum projection rendering
       -  Generate volumetric signed-distance data from an input
          surface mesh
       -  Probe a volume with lines and planes.
   *   Add sliders and buttons to interact with the scene and the
       individual objects.
   *   Examples using SHTools package for spherical harmonics
       expansion of a mesh shape.
   *   Integration with the Qt5 framework.
   *   Support for FEniCS/dolfin package.
 .
 vtkplotter is published in M. Musy et al. "vtkplotter, a python
 module for scientific visualization and analysis of 3D objects and
 point clouds based on VTK (Visualization Toolkit)", Zenodo, 10
 February 2019, doi:10.5281/zenodo.2561402.
 .
 This package installs the library for Python 3.
 It also include vtkplotter and vtkconvert executables.

=== debian/rules ===
#!/usr/bin/make -f
# See debhelper(7) (uncomment to enable)
# output every command that modifies files on the build system.
#export DH_VERBOSE = 1

export PYBUILD_NAME=vtkplotter

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_clean:
	dh_clean
	rm -rf vtkplotter/fonts

override_dh_testdir:
	dh_testdir
	mkdir -p vtkplotter/fonts/licenses
	echo "Fonts (nonfree) have been removed from the vtkplotter package." > vtkplotter/fonts/licenses/README

override_dh_python3:
	dh_python3
	for dir in textures; do \
	  mv debian/python3-vtkplotter/usr/lib/python3/dist-packages/vtkplotter/$$dir/ debian/python3-vtkplotter/usr/share/vtkplotter/; \
	done

=== debian/tests/control ===
Tests: python3
Depends: python3,
         python3-vtkplotter,
         python3-numpy,
         python3-vtk7

=== debian/watch ===
version=4

opts="dversionmangle=s/\+dfsg\d*$//,repacksuffix=+dfsg1, \
   filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%vtkplotter-$1.tar.gz%" \
   https://github.com/marcomusy/vtkplotter/tags \
   (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate
